> ## Documentation Index
> Fetch the complete documentation index at: https://www.truefoundry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Summarize model integrations

> Summarize the model integrations the caller can use.



## OpenAPI

````yaml /openapi.json get /api/svc/v1/provider-integrations/summary
openapi: 3.1.0
info:
  title: TrueFoundry API
  description: API for TrueFoundry
  version: 0.1.0
  contact: {}
servers:
  - url: https://{controlPlaneURL}
    variables:
      controlPlaneURL:
        default: app.truefoundry.com
        description: Control Plane URL
security: []
tags:
  - name: Agent
  - name: Agent Skills
  - name: Applications
  - name: Metrics
  - name: Apply
  - name: Artifacts
  - name: Audit Logs
  - name: Clusters
  - name: Jobs
  - name: LLM Gateway Budgets
  - name: Logs
  - name: MCP Registry
  - name: MCP Servers V2
  - name: MLRepos
  - name: Model Deployments
  - name: Models
  - name: Personal Access Tokens
  - name: Prompts
  - name: Provider Integrations
  - name: SCIM v2
  - name: Secret Groups
  - name: Secrets
  - name: Teams
  - name: Traces
  - name: Users
  - name: Virtual Accounts
  - name: Role Bindings
  - name: Workspaces
  - name: Provider Accounts
paths:
  /api/svc/v1/provider-integrations/summary:
    get:
      tags:
        - Provider Integrations
        - public
      summary: Summarize model integrations
      description: Summarize the model integrations the caller can use.
      operationId: ProviderIntegration.getProviderIntegrationSummary
      parameters:
        - name: type
          required: true
          in: query
          description: Provider integration type to summarize.
          schema:
            type: string
            enum:
              - model
      responses:
        '200':
          description: Model integration counts by lifecycle status and provider.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetProviderIntegrationSummaryResponse'
      security:
        - jwt: []
components:
  schemas:
    GetProviderIntegrationSummaryResponse:
      type: object
      properties:
        data:
          description: Provider integration summary.
          allOf:
            - $ref: '#/components/schemas/ProviderIntegrationSummary'
      required:
        - data
      title: GetProviderIntegrationSummaryResponse
      x-fern-type-name: GetProviderIntegrationSummaryResponse
    ProviderIntegrationSummary:
      type: object
      properties:
        total:
          type: integer
          description: Total number of visible model integrations.
        byStatus:
          description: Model integration counts by lifecycle status.
          allOf:
            - $ref: '#/components/schemas/ProviderIntegrationStatusCounts'
        providers:
          description: Model and provider-account counts grouped by provider.
          type: array
          items:
            $ref: '#/components/schemas/ProviderIntegrationProviderSummary'
      required:
        - total
        - byStatus
        - providers
      title: ProviderIntegrationSummary
      x-fern-type-name: ProviderIntegrationSummary
    ProviderIntegrationStatusCounts:
      type: object
      properties:
        active:
          type: integer
          description: Number of active model integrations.
        retiring:
          type: integer
          description: >-
            Number of deprecated or retired model integrations whose cutoff date
            is in the future.
        deprecated:
          type: integer
          description: >-
            Number of deprecated or retired model integrations whose cutoff date
            has passed.
      required:
        - active
        - retiring
        - deprecated
      title: ProviderIntegrationStatusCounts
      x-fern-type-name: ProviderIntegrationStatusCounts
    ProviderIntegrationProviderSummary:
      type: object
      properties:
        provider:
          type: string
          enum:
            - aws
            - gcp
            - azure
            - dockerhub
            - openai
            - databricks
            - truefoundry
            - jfrog
            - ttl
            - custom
            - quay
            - github
            - gitlab
            - bitbucket
            - bitbucket_data_center
            - ai21
            - cohere
            - anthropic
            - anyscale
            - deepinfra
            - groq
            - mistral-ai
            - nomic
            - palm
            - perplexity-ai
            - together-ai
            - ollama
            - slack
            - aws-bedrock
            - google-vertex
            - google-gemini
            - azure-openai
            - azure-foundry
            - microsoft-foundry
            - self-hosted-model
            - mcp-server-group
            - pagerduty
            - ms-teams
            - model-provider-accounts
            - guardrail-config-group
            - openrouter
            - sambanova
            - aws-sagemaker
            - cerebras
            - wafer
            - typesafe
            - hashicorp
            - snowflake-cortex
            - cloudera
            - xai
            - baseten
            - virtual-model
            - elevenlabs
            - deepgram
            - cartesia
            - custom-endpoint
            - smallest-ai
            - aws-claude-platform
            - aws-bedrock-mantle
          description: Model provider type.
        providerAccountCount:
          type: integer
          description: Number of distinct provider accounts.
        modelCount:
          type: integer
          description: Number of model integrations.
      required:
        - provider
        - providerAccountCount
        - modelCount
      title: ProviderIntegrationProviderSummary
      x-fern-type-name: ProviderIntegrationProviderSummary
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````